
package de.ivu.elect.presentation.replikation.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.replikation.ReplikationStatusViewId;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public class ReplikationStatusMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.REPLIKATION_STATUS_SEARCH);
  }

  @Override
  public String getLabelKey() {
    return "replikation.status.menu.item.label";
  }

  @Override
  public String getTargetViewId() {
    return ReplikationStatusViewId.VIEW_ID;
  }

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  @Override
  public String getIcon() {
    return getIcons().getIconReplikation();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

}
